> ## Documentation Index
> Fetch the complete documentation index at: https://infercrane.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Set bounded endpoint admission policy



## OpenAPI

````yaml /openapi.json put /api/v1/endpoints/{name}/admission
openapi: 3.1.0
info:
  description: >-
    Durable, authenticated control-plane operations. Mutation responses may
    outlive the requesting client.
  title: InferCrane Control API
  version: 2.0.0
servers:
  - description: Local InferCrane API and gateway
    url: http://127.0.0.1:18000
security: []
tags:
  - name: Admission
  - name: Adoption
  - name: Alerts
  - name: Async inference
  - name: Audit
  - name: Autopilot
  - name: Benchmarks
  - name: Burst Guard
  - name: Capacity intelligence
  - name: Context Passport
  - name: Deployments
  - name: Diagnostics
  - name: Endpoints
  - name: External capacity
  - name: FinOps
  - name: Identity
  - name: Inference
  - name: Inference Lab
  - name: Inference decisions
  - name: Infrastructure
  - name: Model artifacts
  - name: Monitoring
  - name: Operations
  - name: Recipes
  - name: Release Guard
  - name: Release evidence
  - name: Replay
  - name: Revisions
  - name: Routing
  - name: Sandboxes
  - name: Scaling
  - name: Secrets
  - name: System
  - name: Targets
  - name: Training lineage
paths:
  /api/v1/endpoints/{name}/admission:
    put:
      tags:
        - Admission
      summary: Set bounded endpoint admission policy
      operationId: setAdmissionPolicy
      parameters:
        - in: path
          name: name
          required: true
          schema:
            minLength: 1
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AdmissionPolicy'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Object'
          description: Success
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
          description: Typed API error
      security:
        - bearerAuth: []
components:
  schemas:
    AdmissionPolicy:
      additionalProperties: false
      properties:
        allowed_priorities:
          items:
            enum:
              - low
              - normal
              - high
            type: string
          maxItems: 3
          minItems: 1
          type: array
          uniqueItems: true
        enabled:
          type: boolean
        max_concurrency:
          maximum: 10000
          minimum: 1
          type: integer
        max_output_tokens:
          maximum: 1048576
          minimum: 1
          type: integer
        max_queue_depth:
          maximum: 100000
          minimum: 0
          type: integer
        max_request_bytes:
          maximum: 16777216
          minimum: 1024
          type: integer
        queue_timeout_ms:
          maximum: 300000
          minimum: 1
          type: integer
        retry_budget:
          maximum: 3
          minimum: 0
          type: integer
      required:
        - max_concurrency
        - max_queue_depth
        - queue_timeout_ms
        - max_request_bytes
        - max_output_tokens
        - allowed_priorities
        - retry_budget
        - enabled
      type: object
    Object:
      additionalProperties: true
      type: object
    ErrorEnvelope:
      properties:
        error:
          $ref: '#/components/schemas/Error'
      required:
        - error
      type: object
    Error:
      properties:
        category:
          type: string
        code:
          type: string
        message:
          type: string
        remediation:
          type: string
        request_id:
          type: string
        retryable:
          type: boolean
      required:
        - code
        - message
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````